Skip to main content

Webhook Events

Unit uses Events to record important changes happening under your org. Once an event is created, it will be delivered to your application via a webhook call.

Our event types follow a specific structure: resource.event.

Each event includes an id field, which uniquely identifies the event instance, and a type field that identifies the type of the event instance.

Each event type includes a different set of attributes and relationships, relevant to that specific event.

Event attributes may contain a set of custom tags inherited from a related resource request.

Get​

Get an event resource by id. This API is available only for events that were created within the last 90 days.

VerbGET
URLhttps://api.s.unit.sh/events/{id}
Required Scopeevents
Timeout (Seconds)5

Response​

Response is a JSON:API document.

200 OK​

NameTypeDescription
dataEventThe requested resource after the operation was completed.
curl -X GET 'https://api.s.unit.sh/events/10' \
-H "Authorization: Bearer ${TOKEN}"

List​

List event resources, going back up to 90 days. Paging can be applied.

VerbGET
URLhttps://api.s.unit.sh/events
Required Scopeevents
Timeout (Seconds)5

Query Parameters​

NameTypeDefaultDescription
page[limit]integer100Optional. Maximum number of resources that will be returned. Maximum is 1000 resources. See Pagination.
page[offset]integer0Optional. Number of resources to skip. See Pagination.
filter[type][]string(empty)Optional. Filter Events by Event type.
filter[since]RFC3339 Date string(empty)Optional. Filters the events that occurred after the specified date. e.g. 2022-01-13T16:01:19.346Z
filter[until]RFC3339 Date string(empty)Optional. Filters the events that occurred before the specified date. e.g. 2022-01-15T20:06:23.486Z
curl -X GET 'https://api.s.unit.sh/events?page[limit]=20&page[offset]=10&filter[since]=2022-01-13T16:01:19.346Z&filter[until]=2022-01-15T20:06:23.486Z' \
-H "Authorization: Bearer ${TOKEN}"

Response​

Response is a JSON:API document.

200 OK​

NameTypeDescription
dataArray of EventArray of event resources.
Example Response:
{
"data": [
{
"id": "231",
"type": "customer.created",
"attributes": {
"createdAt": "2021-03-15T12:20:39.216Z"
},
"relationships": {
"customer": {
"data": {
"id": "10004",
"type": "businessCustomer"
}
}
}
},
{
"id": "230",
"type": "transaction.created",
"attributes": {
"createdAt": "2021-03-15T07:49:09.089Z",
"amount": 10000,
"direction": "Credit",
"summary": "Wire to Jane Smith"
},
"relationships": {
"account": {
"data": {
"id": "10005",
"type": "account"
}
},
"transaction": {
"data": {
"id": "189",
"type": "wireTransaction"
}
},
"customer": {
"data": {
"id": "10000",
"type": "individualCustomer"
}
}
}
}
]
}

Fire​

Resend a previously published webhook event. This API is available only for events that were created within the last 90 days.

VerbPOST
URLhttps://api.s.unit.sh/events/{eventId}
Required Scopeevents-write
Timeout (Seconds)5
Example Request:
curl -X POST 'https://api.s.unit.sh/events/78'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{}'

account.closed​

Occurs when an Account is closed.

Example account.closed payload:
{
"data": [
{
"id": "269",
"type": "account.closed",
"attributes": {
"createdAt": "2021-04-13T07:40:43.813Z",
"closeReason": "ByCustomer",
"tags": {
"tag": "value"
}
},
"relationships": {
"account": {
"data": {
"id": "10004",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

account.created​

Occurs when an Account is created successfully.

Example account.created payload:
{
"data": [
{
"id": "269",
"type": "account.created",
"attributes": {
"createdAt": "2021-04-13T07:40:43.813Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"account": {
"data": {
"id": "10004",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

account.frozen​

Occurs when an Account is frozen.

The event includes:

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
freezeReasonstringThe reason the account was frozen, as free text. Always present.
freezeReasonCodestringOptional. One of Fraud, ByBank, Overdraft, or Other. Omitted when not set.
freezeSubReasonstringOptional. Omitted when not set. For Fraud: one of AchActivity, CardActivity, CheckActivity, WireActivity, AccountActivity, HoldHarmlessReceived, or LinkedToFraudulentCustomer. For ByBank: one of ProhibitedBusiness, MissingCddEdd, NonUsOperations, SuspectedFraud, Inactive, Unfunded, OngoingReevaluation, LegalRequestReceived, ErroneousPayment, or Other.
freezeSubReasonTextstringOptional. A free-text description of the freeze sub-reason. Omitted when not set.
tagsobjectOptional. See Tags.
Example account.frozen payload:
{
"data": [
{
"id": "2354",
"type": "account.frozen",
"attributes": {
"createdAt": "2021-11-08T07:43:13.813Z",
"freezeReason": "Fraud",
"freezeReasonCode": "Fraud",
"freezeSubReason": "CardActivity",
"freezeSubReasonText": "Suspicious card activity detected on the account",
"tags": {
"tag": "value"
}
},
"relationships": {
"account": {
"data": {
"id": "10004",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

account.reopened​

Occurs when a closed Account is reopened.

Example account.reopened payload:
{
"data": [
{
"id": "2724",
"type": "account.reopened",
"attributes": {
"createdAt": "2021-12-13T07:40:43.813Z"
},
"relationships": {
"account": {
"data": {
"id": "10004",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

account.unfrozen​

Occurs when a frozen Account is unfrozen.

The event includes:

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
tagsobjectOptional. See Tags.
Example account.unfrozen payload:
{
"data": [
{
"id": "2355",
"type": "account.unfrozen",
"attributes": {
"createdAt": "2021-12-08T07:43:13.813Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"account": {
"data": {
"id": "10004",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

account.updated​

Occurs when an Account is updated. The list of changes is provided in the changes attribute.

Example account.updated payload:
{
"data": [
{
"id": "269",
"type": "account.updated",
"attributes": {
"createdAt": "2023-04-13T07:40:43.813Z",
"changes": {
"depositProduct": {
"previous": "934",
"current": "120009"
}
}
},
"relationships": {
"account": {
"data": {
"id": "10004",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

accountHold.created​

Occurs when an AccountHold is created. See Create Account Hold.

Example accountHold.created payload:
{
"data": [
{
"id": "412",
"type": "accountHold.created",
"attributes": {
"createdAt": "2024-10-02T12:39:25.107Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"accountHold": {
"data": {
"id": "7345432",
"type": "accountHold"
}
},
"account": {
"data": {
"id": "158853345",
"type": "account"
}
}
}
}
]
}

accountHold.released​

Occurs when an AccountHold is released. It is raised for a full release, for a partial release (the hold becomes PartiallyReleased, or Released if the final partial release covers the remaining amount), and when the hold is released automatically at its expiredAt date. See Release Account Hold.

The event includes:

AttributeTypeDescription
amountintegerThe amount (in cents) of the account hold.
statusstringThe hold status after the release: Released or PartiallyReleased.
remainingHoldAmountintegerOptional. The remaining amount (in cents) still held. Present when status is PartiallyReleased.
releasedAtRFC3339 Date stringOptional. Present when status is Released.
tagsobjectOptional. See Tags.
Example accountHold.released payload:
{
"data": [
{
"id": "413",
"type": "accountHold.released",
"attributes": {
"createdAt": "2024-10-10T08:15:02.441Z",
"amount": 4433,
"status": "Released",
"releasedAt": "2024-10-10T08:15:02.441Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"accountHold": {
"data": {
"id": "7345432",
"type": "accountHold"
}
},
"account": {
"data": {
"id": "158853345",
"type": "account"
}
}
}
}
]
}

accountReceivablesDailySnapshot.created​

Occurs when a daily snapshot of account receivables is created for a specific account.

Example accountReceivablesDailySnapshot.created payload:
{
"data": [
{
"id": "506",
"type": "accountReceivablesDailySnapshot.created",
"attributes": {
"createdAt": "2024-12-08T00:00:00.000Z",
"snapshotDate": "2024-12-07"
},
"relationships": {
"account": {
"data": {
"id": "10089",
"type": "account"
}
},
"accountReceivablesDailySnapshot": {
"data": {
"id": "482",
"type": "accountReceivablesDailySnapshot"
}
}
}
}
]
}

application.approved​

Occurs when an Application is approved.

Example application.approved payload:
{
"data": [
{
"id": "28",
"type": "application.approved",
"attributes": {
"createdAt": "2020-07-29T12:53:05.882Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"application": {
"data": {
"id": "52",
"type": "individualApplication"
}
},
"customer": {
"data": {
"id": "53",
"type": "individualCustomer"
}
}
}
}
]
}

application.awaitingDocuments​

Occurs when additional Application Documents are required to approve an Application.

Example application.awaitingDocuments payload:
{
"data": [
{
"id": "3000",
"type": "application.awaitingDocuments",
"attributes": {
"createdAt": "2020-07-29T12:53:05.882Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"application": {
"data": {
"id": "87",
"type": "individualApplication"
}
}
}
}
]
}

application.canceled​

Occurs when an Application is canceled.

Example application.canceled payload:
{
"data": [
{
"id": "28",
"type": "application.canceled",
"attributes": {
"createdAt": "2020-07-29T12:53:05.882Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"application": {
"data": {
"id": "52",
"type": "individualApplication"
}
}
}
}
]
}

application.created​

Occurs when an Application is created.

Example application.created payload:
{
"data": [
{
"id": "28",
"type": "application.created",
"attributes": {
"createdAt": "2020-07-29T12:53:05.882Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"application": {
"data": {
"id": "52",
"type": "individualApplication"
}
}
}
}
]
}

application.denied​

Occurs when an Application is denied.

Example application.denied payload:
{
"data": [
{
"id": "28",
"type": "application.denied",
"attributes": {
"createdAt": "2020-07-29T12:53:05.882Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"application": {
"data": {
"id": "52",
"type": "individualApplication"
}
}
}
}
]
}

application.pendingReview​

Occurs when an Application is in pendingReview state.

Example application.pendingReview payload:
{
"data": [
{
"id": "28",
"type": "application.pendingReview",
"attributes": {
"createdAt": "2020-07-29T12:53:05.882Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"application": {
"data": {
"id": "52",
"type": "individualApplication"
}
}
}
}
]
}

assignment.created​

Occurs when an assignment is created.

Example assignment.created payload:
{
"data": {
"id": "260",
"type": "assignment.created",
"attributes": {
"createdAt": "2025-03-22T21:35:58.898Z",
"assignee": "Org"
},
"relationships": {
"assignment": {
"data": {
"id": "10000",
"type": "generalReviewAssignment"
}
},
"payment": {
"data": {
"id": "10000",
"type": "wirePayment"
}
}
}
}
}

assignment.escalated​

Occurs when a general review assignment is escalated.

Example assignment.escalated payload:
{
"data": {
"id": "260",
"type": "assignment.escalated",
"attributes": {
"createdAt": "2025-03-22T21:35:58.898Z",
"assignee": "Org"
},
"relationships": {
"assignment": {
"data": {
"id": "10000",
"type": "generalReviewAssignment"
}
},
"checkDeposit": {
"data": {
"id": "10000",
"type": "checkDeposit"
}
}
}
}
}

authorization.amountChanged​

Occurs when an Authorization amount is changed. This event will be followed by an authorizationRequest.pending event.

Example authorization.amountChanged payload:
{
"data": [
{
"id": "83",
"type": "authorization.amountChanged",
"attributes": {
"createdAt": "2021-02-21T07:31:18.692Z",
"oldAmount": 1700,
"newAmount": 2000,
"available": 2000,
"tags": {
"tag": "value"
}
},
"relationships": {
"authorizationRequest": {
"data": {
"id": "6",
"type": "authorizationRequest"
}
},
"authorization": {
"data": {
"id": "98",
"type": "authorization"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"card": {
"data": {
"id": "1",
"type": "card"
}
}
}
}
]
}

authorization.canceled​

Occurs when an Authorization is canceled.

Example authorization.canceled payload:
{
"data": [
{
"id": "83",
"type": "authorization.canceled",
"attributes": {
"createdAt": "2021-02-21T07:31:18.692Z",
"amount": 1500,
"available": 2000,
"cardLast4Digits": "0019",
"recurring": false,
"tags": {
"tag": "value"
}
},
"relationships": {
"authorization": {
"data": {
"id": "98",
"type": "authorization"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"card": {
"data": {
"id": "1",
"type": "card"
}
}
}
}
]
}

authorization.created​

Occurs when an Authorization is created. The optional cardDecisionSource attribute indicates who made the final card authorization decision. See Understanding authorization decisions.

Example authorization.created payload:
{
"data": [
{
"id": "83",
"type": "authorization.created",
"attributes": {
"createdAt": "2021-02-21T07:31:18.692Z",
"amount": 1500,
"available": 2000,
"cardLast4Digits": "0019",
"cardDecisionSource": "Org",
"merchant": {
"name": "Apple Inc.",
"type": "1000",
"id": "311204598883"
},
"recurring": false,
"tags": {
"tag": "value"
}
},
"relationships": {
"authorization": {
"data": {
"id": "98",
"type": "authorization"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"card": {
"data": {
"id": "1",
"type": "card"
}
}
}
}
]
}

authorization.declined​

Occurs when an Authorization is declined. The optional cardDecisionSource attribute indicates who made the final card authorization decision. See Understanding authorization decisions.

Example authorization.declined payload:
{
"data": [
{
"id": "83",
"type": "authorization.declined",
"attributes": {
"createdAt": "2021-02-21T07:31:18.692Z",
"amount": 1500,
"available": 1400,
"cardLast4Digits": "0019",
"merchant": {
"name": "Apple Inc.",
"type": "1000",
"id": "311204598883"
},
"recurring": false,
"reason": "InsufficientFunds",
"cardDecisionSource": "Unit",
"tags": {
"tag": "value"
}
},
"relationships": {
"authorization": {
"data": {
"id": "98",
"type": "authorization"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"card": {
"data": {
"id": "1",
"type": "card"
}
}
}
}
]
}

authorization.updated​

Occurs when an Authorization is updated.

Example authorization.updated payload:
{
"data": [
{
"id": "83",
"type": "authorization.updated",
"attributes": {
"createdAt": "2021-02-21T07:31:18.692Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"authorization": {
"data": {
"id": "98",
"type": "authorization"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"card": {
"data": {
"id": "1",
"type": "card"
}
}
}
}
]
}

authorizationRequest.approved​

Occurs when an AuthorizationRequest is approved. See Programmatic authorization of card use. The optional outcome attribute reflects what your integration produced when the request reached a terminal decision.

Example authorizationRequest.approved payload:
{
"data": [
{
"id": "412",
"type": "authorizationRequest.approved",
"attributes": {
"createdAt": "2021-06-24T08:10:08.081Z",
"amount": 2000,
"available": 2500,
"status": "Approved",
"approvedAmount": 2000,
"outcome": "Approved",
"partialApprovalAllowed": false,
"merchant": {
"name": "Merchant name",
"type": "6012",
"id": "311204598883"
},
"recurring": false,
"tags": {
"tag": "value"
},
"currencyConversion": {
"originalCurrency": "EUR",
"amountInOriginalCurrency": 1000,
"fxRate": "1.164"
},
"isInternational": true
},
"relationships": {
"authorizationRequest": {
"data": {
"id": "6",
"type": "purchaseAuthorizationRequest"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"card": {
"data": {
"id": "7",
"type": "card"
}
}
}
}
]
}

Occurs when an ATM AuthorizationRequest is approved. The ATM variant includes atmName, surcharge, and direction, and does not include merchant or recurring.

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
amountintegerThe requested amount (in cents).
availableintegerThe available balance (in cents).
statusstringThe authorization request status.
approvedAmountintegerThe approved amount (in cents).
partialApprovalAllowedbooleanWhether partial approval is allowed.
directionstringThe direction of the transaction.
atmNamestringThe name of the ATM.
surchargeintegerThe ATM surcharge (in cents).
tagsobjectSee Tags.
atmLocationstringOptional. The location of the ATM.
internationalServiceFeeintegerOptional. The international service fee (in cents).
currencyConversionobjectOptional. Currency conversion details for the transaction.
isInternationalbooleanOptional. Whether the transaction is international.
outcomestringOptional. What your integration produced when the request reached a terminal decision.
RelationshipTypeDescription
authorizationRequestJSON:API RelationshipThe ATM authorization request. Resource type: atmAuthorizationRequest.
accountJSON:API RelationshipThe account of the card. Resource type: account.
customerJSON:API RelationshipThe customer. Resource type: customer.
cardJSON:API RelationshipThe card used. Resource type: card.
Example authorizationRequest.approved payload (ATM):
{
"data": [
{
"id": "412",
"type": "authorizationRequest.approved",
"attributes": {
"createdAt": "2021-06-24T08:10:08.081Z",
"amount": 2000,
"available": 2500,
"status": "Approved",
"approvedAmount": 2000,
"outcome": "Approved",
"partialApprovalAllowed": false,
"direction": "Debit",
"atmName": "HOME FED SAV BK",
"atmLocation": "Cupertino, CA, US",
"surcharge": 300,
"internationalServiceFee": 150,
"currencyConversion": {
"originalCurrency": "EUR",
"amountInOriginalCurrency": 1000,
"fxRate": "1.164"
},
"isInternational": true,
"tags": {
"tag": "value"
}
},
"relationships": {
"authorizationRequest": {
"data": {
"id": "6",
"type": "atmAuthorizationRequest"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"card": {
"data": {
"id": "7",
"type": "card"
}
}
}
}
]
}

authorizationRequest.declined​

Occurs when an AuthorizationRequest is declined. See Programmatic authorization of card use. The optional outcome attribute reflects what your integration produced when the request reached a terminal decision.

Example authorizationRequest.declined payload:
{
"data": [
{
"id": "412",
"type": "authorizationRequest.declined",
"attributes": {
"createdAt": "2021-06-24T08:10:08.081Z",
"amount": 2000,
"available": 1900,
"status": "Declined",
"declineReason": "InsufficientFunds",
"outcome": "Declined",
"partialApprovalAllowed": false,
"merchant": {
"name": "Merchant name",
"type": "6012",
"id": "311204598883"
},
"recurring": false,
"tags": {
"tag": "value"
},
"currencyConversion": {
"originalCurrency": "EUR",
"amountInOriginalCurrency": 1000,
"fxRate": "1.164"
},
"isInternational": true
},
"relationships": {
"authorizationRequest": {
"data": {
"id": "6",
"type": "purchaseAuthorizationRequest"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"card": {
"data": {
"id": "7",
"type": "card"
}
}
}
}
]
}

Occurs when an ATM AuthorizationRequest is declined. The ATM variant includes atmName, surcharge, and direction, and does not include merchant or recurring.

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
amountintegerThe requested amount (in cents).
availableintegerThe available balance (in cents).
statusstringThe authorization request status.
declineReasonstringThe reason the authorization request was declined.
partialApprovalAllowedbooleanWhether partial approval is allowed.
directionstringThe direction of the transaction.
atmNamestringThe name of the ATM.
surchargeintegerThe ATM surcharge (in cents).
tagsobjectSee Tags.
atmLocationstringOptional. The location of the ATM.
internationalServiceFeeintegerOptional. The international service fee (in cents).
currencyConversionobjectOptional. Currency conversion details for the transaction.
isInternationalbooleanOptional. Whether the transaction is international.
outcomestringOptional. What your integration produced when the request reached a terminal decision.
RelationshipTypeDescription
authorizationRequestJSON:API RelationshipThe ATM authorization request. Resource type: atmAuthorizationRequest.
accountJSON:API RelationshipThe account of the card. Resource type: account.
customerJSON:API RelationshipThe customer. Resource type: customer.
cardJSON:API RelationshipThe card used. Resource type: card.
Example authorizationRequest.declined payload (ATM):
{
"data": [
{
"id": "412",
"type": "authorizationRequest.declined",
"attributes": {
"createdAt": "2021-06-24T08:10:08.081Z",
"amount": 2000,
"available": 1900,
"status": "Declined",
"declineReason": "InsufficientFunds",
"outcome": "Declined",
"partialApprovalAllowed": false,
"direction": "Debit",
"atmName": "HOME FED SAV BK",
"atmLocation": "Cupertino, CA, US",
"surcharge": 300,
"internationalServiceFee": 150,
"currencyConversion": {
"originalCurrency": "EUR",
"amountInOriginalCurrency": 1000,
"fxRate": "1.164"
},
"isInternational": true,
"tags": {
"tag": "value"
}
},
"relationships": {
"authorizationRequest": {
"data": {
"id": "6",
"type": "atmAuthorizationRequest"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"card": {
"data": {
"id": "7",
"type": "card"
}
}
}
}
]
}

authorizationRequest.pending (CardTransaction) ​

Occurs when a CardTransaction related AuthorizationRequest is pending approval. See Programmatic authorization of card use

Note that the type of the authorization request under relationships here is capitalised (CardTransactionAuthorizationRequest), unlike the corresponding resource.

Example authorizationRequest.pending payload:
{
"data": [
{
"id": "415",
"type": "authorizationRequest.pending",
"attributes": {
"createdAt": "2021-06-24T08:10:08.081Z",
"amount": 2000,
"available": 150000,
"status": "Pending",
"direction": "Debit",
"partialApprovalAllowed": false,
"merchant": {
"name": "Merchant name",
"type": "6012",
"id": "311204598883"
},
"recurring": false,
"mustBeApproved": false,
"tags": {
"tag": "value"
},
"currencyConversion": {
"originalCurrency": "EUR",
"amountInOriginalCurrency": 1000,
"fxRate": "1.164"
},
"isInternational": true
},
"relationships": {
"authorizationRequest": {
"data": {
"id": "8",
"type": "CardTransactionAuthorizationRequest"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"card": {
"data": {
"id": "7",
"type": "card"
}
}
}
}
]
}

authorizationRequest.pending (IIAS)​

Occurs when an IIAS related AuthorizationRequest is pending approval. See Programmatic authorization of card use

Example IIAS authorizationRequest.pending payload:
{
"data": [
{
"id": "412",
"type": "authorizationRequest.pending",
"attributes": {
"createdAt": "2021-06-24T08:10:08.081Z",
"amount": 2000,
"available": 150000,
"status": "Pending",
"partialApprovalAllowed": true,
"merchant": {
"name": "Merchant name",
"type": "6012"
},
"recurring": false,
"ecommerce": true,
"cardPresent": false,
"healthCareAmounts": {
"transitAmount": 0,
"prescriptionRXAmount": 0,
"visionOpticalAmount": 2000,
"clinicOtherQualifiedMedicalAmount": 0,
"dentalAmount": 0,
"totalHealthcareAmount": 2000
},
"direction": "Debit",
"mustBeApproved": false,
"tags": {
"tag": "value"
},
"currencyConversion": {
"originalCurrency": "EUR",
"amountInOriginalCurrency": 1000,
"fxRate": "1.164"
},
"isInternational": true
},
"relationships": {
"authorizationRequest": {
"data": {
"id": "6",
"type": "purchaseAuthorizationRequest"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"card": {
"data": {
"id": "7",
"type": "card"
}
}
}
}
]
}

authorizationRequest.pending (Purchase) ​

Occurs when a Purchase related AuthorizationRequest is pending approval. See Programmatic authorization of card use

Example authorizationRequest.pending payload:
{
"data": [
{
"id": "412",
"type": "authorizationRequest.pending",
"attributes": {
"createdAt": "2021-06-24T08:10:08.081Z",
"amount": 2000,
"available": 150000,
"status": "Pending",
"partialApprovalAllowed": false,
"merchant": {
"name": "Merchant name",
"type": "6012",
"id": "311204598883"
},
"recurring": false,
"ecommerce": true,
"cardPresent": false,
"direction": "Debit",
"mustBeApproved": false,
"tags": {
"tag": "value"
},
"currencyConversion": {
"originalCurrency": "EUR",
"amountInOriginalCurrency": 1000,
"fxRate": "1.164"
},
"isInternational": true
},
"relationships": {
"authorizationRequest": {
"data": {
"id": "6",
"type": "purchaseAuthorizationRequest"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"card": {
"data": {
"id": "7",
"type": "card"
}
}
}
}
]
}

bulkPayments.failed​

Occurs when a payment in a Bulk Payment failed.

Example bulkPayments.failed payload:
{
"data": [
{
"id": "1",
"type": "bulkPayments.failed",
"attributes": {
"createdAt": "2021-01-02T13:38:28.223Z",
"tags": {
"tag": "value"
},
"index": "2",
"error": "{\"title\":\"User is not allowed to create a payment\",\"status\":\"403\"}",
"idempotencyKey": "1 2"
},
"relationships": {
"bulkPayments": {
"data": {
"id": "1",
"type": "bulkPayments"
}
}
}
}
]
}

bulkPayments.finished​

Occurs when a Bulk Payment is finished.

Example bulkPayments.finished payload:
{
"data": [
{
"id": "1",
"type": "bulkPayments.finished",
"attributes": {
"createdAt": "2021-01-02T13:38:28.223Z"
},
"relationships": {
"bulkPayments": {
"data": {
"id": "1",
"type": "bulkPayments"
}
}
}
}
]
}

card.activated​

Occurs when a Card is activated for the first time.

Example card.activated payload:
{
"data": [
{
"id": "73",
"type": "card.activated",
"attributes": {
"createdAt": "2021-02-15T09:23:47.778Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"card": {
"data": {
"id": "6",
"type": "individualDebitCard"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

card.created​

Occurs when a Card is created successfully.

Example card.created payload:
{
"data": [
{
"id": "73",
"type": "card.created",
"attributes": {
"createdAt": "2021-02-15T09:23:47.778Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"card": {
"data": {
"id": "6",
"type": "individualDebitCard"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

card.pinChanged​

Occurs when a Card PIN is changed.

Example card.pinChanged payload:
{
"data": [
{
"id": "73",
"type": "card.pinChanged",
"attributes": {
"createdAt": "2021-02-15T09:23:47.778Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"card": {
"data": {
"id": "6",
"type": "individualDebitCard"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

card.reissuing​

Occurs when a Card is being reissued.

Example card.reissuing payload:
{
"data": [
{
"id": "73",
"type": "card.reissuing",
"attributes": {
"createdAt": "2021-02-15T09:23:47.778Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"card": {
"data": {
"id": "6",
"type": "individualDebitCard"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

card.replacing​

Occurs when a Card is being replaced via the Replace Card endpoint.

Example card.replacing payload:
{
"data": [
{
"id": "73",
"type": "card.replacing",
"attributes": {
"createdAt": "2021-02-15T09:23:47.778Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"card": {
"data": {
"id": "6",
"type": "individualDebitCard"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

card.statusChanged​

Occurs when a Card status changes, excluding first time card activation (see card.activated).

Example card.statusChanged payload:
{
"data": [
{
"id": "74",
"type": "card.statusChanged",
"attributes": {
"createdAt": "2021-02-22T09:23:47.778Z",
"newStatus": "Lost",
"previousStatus": "Active",
"tags": {
"tag": "value"
}
},
"relationships": {
"card": {
"data": {
"id": "6",
"type": "individualDebitCard"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

cardFraudCase.activated​

Example cardFraudCase.activated payload:
{
"data": {
"id": "260",
"type": "cardFraudCase.activated",
"attributes": {
"createdAt": "2024-08-14T10:33:49.715Z",
"status": "Active",
"decision": "Pending",
"expiresAt": "2024-08-17T10:33:49.715981Z",
"activityType": "Authorization"
},
"relationships": {
"cardFraudCase": {
"data": {
"id": "76",
"type": "cardFraudCase"
}
},
"authorization": {
"data": {
"id": "128",
"type": "authorization"
}
},
"customer": {
"data": {
"id": "10001",
"type": "customer"
}
},
"account": {
"data": {
"id": "10000",
"type": "account"
}
},
"card": {
"data": {
"id": "2",
"type": "card"
}
}
}
}
}

cardFraudCase.created​

Example cardFraudCase.created payload:
{
"data": {
"id": "260",
"type": "cardFraudCase.created",
"attributes": {
"createdAt": "2024-08-14T10:33:49.715Z",
"status": "Created",
"decision": "Pending",
"expiresAt": "2024-08-17T10:33:49.715981Z",
"activityType": "Authorization"
},
"relationships": {
"cardFraudCase": {
"data": {
"id": "76",
"type": "cardFraudCase"
}
},
"authorization": {
"data": {
"id": "128",
"type": "authorization"
}
},
"customer": {
"data": {
"id": "10001",
"type": "customer"
}
},
"account": {
"data": {
"id": "10000",
"type": "account"
}
},
"card": {
"data": {
"id": "2",
"type": "card"
}
}
}
}
}

cardFraudCase.expired​

Example cardFraudCase.expired payload:
{
"data": {
"id": "260",
"type": "cardFraudCase.expired",
"attributes": {
"createdAt": "2024-08-14T10:33:49.715Z",
"status": "Expired",
"decision": "Pending",
"expiresAt": "2024-08-17T10:33:49.715981Z",
"activityType": "Authorization"
},
"relationships": {
"cardFraudCase": {
"data": {
"id": "76",
"type": "cardFraudCase"
}
},
"authorization": {
"data": {
"id": "128",
"type": "authorization"
}
},
"customer": {
"data": {
"id": "10001",
"type": "customer"
}
},
"account": {
"data": {
"id": "10000",
"type": "account"
}
},
"card": {
"data": {
"id": "2",
"type": "card"
}
}
}
}
}

cardFraudCase.fraud​

Occurs when a TransactionCardFraudCase or AuthorizationCardFraudCase is determined as fraud.

Example cardFraudCase.fraud payload:
{
"data": {
"id": "260",
"type": "cardFraudCase.fraud",
"attributes": {
"createdAt": "2024-08-14T10:33:49.715Z",
"status": "Closed",
"decision": "Fraud",
"expiresAt": "2024-08-17T10:33:49.715981Z",
"activityType": "Authorization"
},
"relationships": {
"cardFraudCase": {
"data": {
"id": "76",
"type": "cardFraudCase"
}
},
"authorization": {
"data": {
"id": "128",
"type": "authorization"
}
},
"customer": {
"data": {
"id": "10001",
"type": "customer"
}
},
"account": {
"data": {
"id": "10000",
"type": "account"
}
},
"card": {
"data": {
"id": "2",
"type": "card"
}
}
}
}
}

cardFraudCase.noFraud​

Occurs when a TransactionCardFraudCase or AuthorizationCardFraudCase is determined as not fraud.

Example cardFraudCase.noFraud payload:
{
"data": {
"id": "260",
"type": "cardFraudCase.noFraud",
"attributes": {
"createdAt": "2024-08-14T10:33:49.715Z",
"status": "Closed",
"decision": "NoFraud",
"expiresAt": "2024-08-17T10:33:49.715981Z",
"activityType": "Authorization"
},
"relationships": {
"cardFraudCase": {
"data": {
"id": "76",
"type": "cardFraudCase"
}
},
"authorization": {
"data": {
"id": "128",
"type": "authorization"
}
},
"customer": {
"data": {
"id": "10001",
"type": "customer"
}
},
"account": {
"data": {
"id": "10000",
"type": "account"
}
},
"card": {
"data": {
"id": "2",
"type": "card"
}
}
}
}
}

chargeback.created​

Occurs when a Chargeback is successfully created.

Example payment.created payload:
{
"data": [
{
"id": "1337",
"type": "chargeback.created",
"attributes": {
"createdAt": "2021-12-27T12:12:39.133Z",
"amount": 5000,
"description": "chargeback for payments issued on 12/1/2022",
"tags": {
"tag": "value"
}
},
"relationships": {
"chargeback": {
"data": {
"id": "669",
"type": "chargeback"
}
},
"account": {
"data": {
"id": "10009",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
},
"counterpartyAccount": {
"data": {
"id": "10010",
"type": "account"
}
},
"transaction": {
"data": {
"id": "10010",
"type": "transaction"
}
}
}
}
]
}

checkDeposit.canceled​

Occurs when a Check Deposit is canceled.

Example checkDeposit.canceled payload:
{
"data": [
{
"id": "390",
"type": "checkDeposit.canceled",
"attributes": {
"createdAt": "2021-06-06T10:15:42.112Z",
"previousStatus": "Pending",
"tags": {
"tag": "value"
}
},
"relationships": {
"checkDeposit": {
"data": {
"id": "122",
"type": "checkDeposit"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkDeposit.clearing​

Occurs when a Check Deposit is in the process of being cleared.

Example checkDeposit.clearing payload:
{
"data": [
{
"id": "376",
"type": "checkDeposit.clearing",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "Pending",
"tags": {
"tag": "value"
}
},
"relationships": {
"checkDeposit": {
"data": {
"id": "122",
"type": "checkDeposit"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkDeposit.created​

Occurs when a Check Deposit is created.

Example checkDeposit.created payload:
{
"data": [
{
"id": "382",
"type": "checkDeposit.created",
"attributes": {
"createdAt": "2021-06-06T09:09:15.247Z",
"status": "AwaitingImages",
"tags": {
"tag": "value"
}
},
"relationships": {
"checkDeposit": {
"data": {
"id": "122",
"type": "checkDeposit"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkDeposit.pending​

Occurs when a Check Deposit is pending processing.

Example checkDeposit.pending payload:
{
"data": [
{
"id": "376",
"type": "checkDeposit.pending",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "PendingReview",
"tags": {
"tag": "value"
}
},
"relationships": {
"checkDeposit": {
"data": {
"id": "122",
"type": "checkDeposit"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkDeposit.pendingReview​

Occurs when a Check Deposit is pending review.

Example checkDeposit.pendingReview payload:
{
"data": [
{
"id": "376",
"type": "checkDeposit.pendingReview",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "AwaitingBackImage",
"tags": {
"tag": "value"
}
},
"relationships": {
"checkDeposit": {
"data": {
"id": "122",
"type": "checkDeposit"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkDeposit.rejected​

Occurs when a Check Deposit was rejected.

Example checkDeposit.rejected payload:
{
"data": [
{
"id": "411",
"type": "checkDeposit.rejected",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "Pending",
"reason": "Cannot read check. Please retake photo. Have steady hands, good lighting, and four check corners visible.",
"tags": {
"tag": "value"
}
},
"relationships": {
"checkDeposit": {
"data": {
"id": "122",
"type": "checkDeposit"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkDeposit.returned​

Occurs when a Check Deposit was returned.

Example checkDeposit.returned payload:
{
"data": [
{
"id": "376",
"type": "checkDeposit.returned",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "Sent",
"tags": {
"tag": "value"
}
},
"relationships": {
"checkDeposit": {
"data": {
"id": "122",
"type": "checkDeposit"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkDeposit.sent​

Occurs when a Check Deposit was processed.

Example checkDeposit.sent payload:
{
"data": [
{
"id": "376",
"type": "checkDeposit.sent",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "Clearing",
"tags": {
"tag": "value"
}
},
"relationships": {
"checkDeposit": {
"data": {
"id": "122",
"type": "checkDeposit"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkPayment.additionalVerificationApproved​

Occurs when a Check Payment that required an additional verification is approved using additional verification approval.

Example checkPayment.additionalVerificationApproved payload:
{
"data": [
{
"id": "382",
"type": "checkPayment.additionalVerificationApproved",
"attributes": {
"createdAt": "2021-06-06T09:09:15.247Z",
"status": "Processed",
"amount": 30000000
},
"relationships": {
"checkPayment": {
"data": {
"id": "122",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkPayment.additionalVerificationRequired​

Occurs when a Check Payment is created and requires an additional verification approval.

Example checkPayment.additionalVerificationRequired payload:
{
"data": [
{
"id": "382",
"type": "checkPayment.additionalVerificationRequired",
"attributes": {
"createdAt": "2021-06-06T09:09:15.247Z",
"status": "Processed",
"amount": 30000000
},
"relationships": {
"checkPayment": {
"data": {
"id": "122",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkPayment.canceled​

Occurs when a Check Payment was canceled after being in status pending.

Example checkPayment.processed payload:
{
"data": [
{
"id": "376",
"type": "checkPayment.canceled",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "Pending"
},
"relationships": {
"checkPayment": {
"data": {
"id": "122",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkPayment.created​

Occurs when a Check Payment is created.

The event includes:

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
statusstringThe check payment status.
additionalVerificationRequiredbooleanWhether the check payment requires additional verification. Always present.
tagsobjectSee Tags.
RelationshipTypeDescription
checkPaymentJSON:API RelationshipThe check payment. Resource type: checkPayment.
accountJSON:API RelationshipThe account the check payment is drawn from. Resource type: account.
customerJSON:API RelationshipThe customer the account belongs to. Resource type: customer.
transactionJSON:API RelationshipOptional. The related transaction. Resource type: transaction.
Example checkPayment.created payload:
{
"data": [
{
"id": "382",
"type": "checkPayment.created",
"attributes": {
"createdAt": "2021-06-06T09:09:15.247Z",
"status": "Processed",
"additionalVerificationRequired": true,
"tags": {
"tag": "value"
}
},
"relationships": {
"checkPayment": {
"data": {
"id": "122",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"transaction": {
"data": {
"id": "10001",
"type": "transaction"
}
}
}
}
]
}

checkPayment.delivered​

Occurs when a Check Payment was delivered after being in status inDelivery.

Example checkPayment.processed payload:
{
"data": [
{
"id": "376",
"type": "checkPayment.delivered",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"status": "Delivered",
"previousStatus": "InDelivery"
},
"relationships": {
"checkPayment": {
"data": {
"id": "122",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkPayment.deliveryStatusChanged​

Occurs when a Check Payment has a status update.

The event includes:

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
previousDeliveryStatusstringOptional. The delivery status before the change.
newDeliveryStatusstringThe delivery status after the change.
trackedAtRFC3339 Date stringThe date the delivery status was tracked.
postalCodestringOptional. The postal code associated with the delivery status update.
tagsobjectSee Tags.
RelationshipTypeDescription
checkPaymentJSON:API RelationshipThe check payment. Resource type: checkPayment.
accountJSON:API RelationshipThe account the check payment is drawn from. Resource type: account.
customerJSON:API RelationshipThe customer the account belongs to. Resource type: customer.
Example checkPayment.deliveryStatusChanged payload:
{
"data": [
{
"id": "376",
"type": "checkPayment.deliveryStatusChanged",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousDeliveryStatus": "InLocalArea",
"newDeliveryStatus": "Rerouted",
"trackedAt": "2021-06-06T09:21:39.509Z",
"postalCode": "11375",
"tags": {
"tag": "value"
}
},
"relationships": {
"checkPayment": {
"data": {
"id": "122",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkPayment.inDelivery​

Occurs when a Check Payment was inDelivery after being in status inProduction.

Example checkPayment.processed payload:
{
"data": [
{
"id": "376",
"type": "checkPayment.inDelivery",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "InProduction",
"status": "InDelivery",
"deliveryStatus": "Mailed",
"trackedAt": "2021-06-06T07:21:39.509Z"
},
"relationships": {
"checkPayment": {
"data": {
"id": "122",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkPayment.inProduction​

Occurs when a Check Payment was inProduction after being in status pending.

Example checkPayment.processed payload:
{
"data": [
{
"id": "376",
"type": "checkPayment.inProduction",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "Pending"
},
"relationships": {
"checkPayment": {
"data": {
"id": "122",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkPayment.markedForReturn​

Occurs when a Check Payment was marked for return after being pending review status.

The event includes:

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
previousStatusstringThe check payment status before the event.
positivePayMismatchbooleanOptional. Whether the check payment has a positive pay mismatch.
Example checkPayment.markedForReturn payload:
{
"data": [
{
"id": "376",
"type": "checkPayment.markedForReturn",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "PendingReview",
"positivePayMismatch": true
},
"relationships": {
"checkPayment": {
"data": {
"id": "122",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkPayment.pending​

Occurs when a Check Payment is created successfully and changes to pending status. If the counterparty's address has been modified due to a National Change of Address, this will be indicated by the counterpartyMoved flag.

Example checkPayment.processed payload:
{
"data": [
{
"id": "376",
"type": "checkPayment.pending",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"status": "Pending",
"previousStatus": "New",
"counterpartyMoved": true
},
"relationships": {
"checkPayment": {
"data": {
"id": "122",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkPayment.pendingReview​

Occurs when a received Check Payment moves to PendingReview status.

The event includes:

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
statusstringThe check payment status.
previousStatusstringThe check payment status before the event.
additionalVerificationRequiredbooleanWhether the check payment requires additional verification. Always present.
tagsobjectSee Tags.
RelationshipTypeDescription
checkPaymentJSON:API RelationshipThe check payment. Resource type: checkPayment.
accountJSON:API RelationshipThe account the check payment is drawn from. Resource type: account.
customerJSON:API RelationshipThe customer the account belongs to. Resource type: customer.
Example checkPayment.pendingReview payload:
{
"data": [
{
"id": "376",
"type": "checkPayment.pendingReview",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"status": "PendingReview",
"previousStatus": "Pending",
"additionalVerificationRequired": true,
"tags": {
"tag": "value"
}
},
"relationships": {
"checkPayment": {
"data": {
"id": "122",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkPayment.processed​

Occurs when a Check Payment is debited after a received check is accepted and posted. The example shows a transition from PendingReview; your payload may differ. If previousStatus is "Unknown" (for example after some reprocess flows), see Check payment events — previousStatus.

The event includes:

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
previousStatusstringThe check payment status before the event.
additionalVerificationRequiredbooleanWhether the check payment required additional verification. Always present.
RelationshipTypeDescription
checkPaymentJSON:API RelationshipThe check payment. Resource type: checkPayment.
accountJSON:API RelationshipThe account the check payment is drawn from. Resource type: account.
customerJSON:API RelationshipThe customer the account belongs to. Resource type: customer.
transactionJSON:API RelationshipThe related transaction. Always present. Resource type: transaction.
Example checkPayment.processed payload:
{
"data": [
{
"id": "376",
"type": "checkPayment.processed",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "PendingReview",
"additionalVerificationRequired": true
},
"relationships": {
"checkPayment": {
"data": {
"id": "122",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"transaction": {
"data": {
"id": "10001",
"type": "transaction"
}
}
}
}
]
}

checkPayment.rejected​

Occurs when a Check Payment is rejected.

Example checkPayment.rejected payload:
{
"data": [
{
"id": "376",
"type": "checkPayment.rejected",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"status": "Rejected",
"previousStatus": "New",
"rejectReason": "counterpartyAddressUndeliverable"
},
"relationships": {
"checkPayment": {
"data": {
"id": "122",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkPayment.returned​

Occurs when a Check Payment was returned after being in marked for return status.

Example checkPayment.returned payload:
{
"data": [
{
"id": "376",
"type": "checkPayment.returned",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "MarkedForReturn"
},
"relationships": {
"checkPayment": {
"data": {
"id": "122",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

checkPayment.returnToSender​

Fired when a Check Payment is returned to sender. This can occur after the check is delivered. No check payment events are expected after a return to sender is triggered.

Example checkPayment.processed payload:
{
"data": [
{
"id": "376",
"type": "checkPayment.returnToSender",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"status": "Delivered",
"previousStatus": "InDelivery"
},
"relationships": {
"checkPayment": {
"data": {
"id": "122",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

creditApplication.approved​

Occurs when an credit application is approved.

Example creditApplication.approved payload:
{
"data": [
{
"id": "505",
"type": "creditApplication.approved",
"attributes": {
"createdAt": "2024-02-18T12:33:32.158Z"
},
"relationships": {
"creditApplication": {
"data": {
"id": "51",
"type": "creditApplication"
}
},
"lendingProgram": {
"data": {
"id": "1",
"type": "lendingProgram"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
}
}
}
]
}

creditApplication.canceled​

Occurs when a credit application is canceled.

Example creditApplication.canceled payload:
{
"data": [
{
"id": "505",
"type": "creditApplication.canceled",
"attributes": {
"createdAt": "2024-02-18T12:33:32.158Z"
},
"relationships": {
"creditApplication": {
"data": {
"id": "51",
"type": "creditApplication"
}
},
"lendingProgram": {
"data": {
"id": "1",
"type": "lendingProgram"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
}
}
}
]
}

creditApplication.created​

Occurs when an Onboarding credit application is created successfully.

Example creditApplication.created payload:
{
"data": [
{
"id": "490",
"type": "creditApplication.created",
"attributes": {
"createdAt": "2024-02-15T07:58:55.284Z"
},
"relationships": {
"creditApplication": {
"data": {
"id": "51",
"type": "creditApplication"
}
},
"lendingProgram": {
"data": {
"id": "1",
"type": "lendingProgram"
}
},
"application": {
"data": {
"id": "10002",
"type": "application"
}
}
}
}
]
}

creditApplication.denied​

Occurs when an credit application is denied.

Example creditApplication.denied payload:
{
"data": [
{
"id": "505",
"type": "creditApplication.denied",
"attributes": {
"createdAt": "2024-02-18T12:33:32.158Z"
},
"relationships": {
"creditApplication": {
"data": {
"id": "51",
"type": "creditApplication"
}
},
"lendingProgram": {
"data": {
"id": "1",
"type": "lendingProgram"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
}
}
}
]
}

creditApplication.manualReview​

Occurs when an credit application is set to manual review.

Example creditApplication.manualReview payload:
{
"data": [
{
"id": "505",
"type": "creditApplication.manualReview",
"attributes": {
"createdAt": "2024-02-18T12:33:32.158Z"
},
"relationships": {
"creditApplication": {
"data": {
"id": "51",
"type": "creditApplication"
}
},
"lendingProgram": {
"data": {
"id": "1",
"type": "lendingProgram"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
}
}
}
]
}

creditApplication.pending​

Occurs when an Existing customer credit application is created successfully.

Example creditApplication.pending payload:
{
"data": [
{
"id": "504",
"type": "creditApplication.pending",
"attributes": {
"createdAt": "2024-02-18T12:33:32.158Z"
},
"relationships": {
"creditApplication": {
"data": {
"id": "51",
"type": "creditApplication"
}
},
"lendingProgram": {
"data": {
"id": "1",
"type": "lendingProgram"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
}
}
}
]
}

creditDecision.approved​

Occurs when a new approved Credit Decision is created.

Example creditDecision.approved payload:
{
"data": [
{
"id": "71",
"type": "creditDecision.approved",
"attributes": {
"createdAt": "2023-11-09T11:38:59.301Z",
"evaluationType": "CreditApplication"
},
"relationships": {
"creditDecision": {
"data": {
"id": "10000",
"type": "creditDecision"
}
},
"application": {
"data": {
"id": "10000",
"type": "application"
}
}
}
}
]
}

creditDecision.denied​

Occurs when a new denied Credit Decision is created.

Example creditDecision.denied payload:
{
"data": [
{
"id": "62",
"type": "creditDecision.denied",
"attributes": {
"createdAt": "2023-11-11T14:42:36.212Z",
"evaluationType": "CreditLimit"
},
"relationships": {
"creditDecision": {
"data": {
"id": "10000",
"type": "creditDecision"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"account": {
"data": {
"id": "10005",
"type": "account"
}
}
}
}
]
}

creditDecision.manualReview​

Occurs when a new manual review Credit Decision is created.

Example creditDecision.manualReview payload:
{
"data": [
{
"id": "62",
"type": "creditDecision.manualReview",
"attributes": {
"createdAt": "2023-11-11T14:42:36.212Z",
"evaluationType": "CreditLimit"
},
"relationships": {
"creditDecision": {
"data": {
"id": "10000",
"type": "creditDecision"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
},
"account": {
"data": {
"id": "10005",
"type": "account"
}
}
}
}
]
}

customer.archived​

Occurs when a Customer is archived.

Example customer.archived payload:
{
"data": [
{
"id": "1337",
"type": "customer.archived",
"attributes": {
"createdAt": "2021-04-13T07:40:43.813Z",
"archiveReason": "Inactive",
"tags": {
"tag": "value"
}
},
"relationships": {
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

customer.created​

Occurs when a new Customer is created.

Example customer.created payload:
{
"data": [
{
"id": "28",
"type": "customer.created",
"attributes": {
"createdAt": "2020-07-29T12:53:05.882Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"customer": {
"data": {
"id": "52",
"type": "individualCustomer"
}
},
"application": {
"data": {
"id": "52",
"type": "individualApplication"
}
}
}
}
]
}

customer.updated​

Occurs when a Customer is updated (whether by the org, or by Unit, in case the fields being updated are sensitive fields ).

RelationshipTypeDescription
customerJSON:API RelationshipThe updated customer. Resource type: individualCustomer or businessCustomer.
applicationJSON:API RelationshipOptional. The customer's application. Resource type: individualApplication or businessApplication, matching the customer.
productApplicationJSON:API RelationshipOptional. The customer's product application. Resource type: individualProductApplication or businessProductApplication, matching the customer.
Example customer.updated payload:
{
"data": [
{
"id": "9",
"type": "customer.updated",
"attributes": {
"createdAt": "2021-11-29T17:23:08.778Z",
"changes": {
"phone": {
"countryCode": "1",
"number": "1555555577"
},
"email": "richard2@piedpiper.com"
}
},
"relationships": {
"customer": {
"data": {
"id": "10000",
"type": "individualCustomer"
}
},
"application": {
"data": {
"id": "52",
"type": "individualApplication"
}
},
"productApplication": {
"data": {
"id": "53",
"type": "individualProductApplication"
}
}
}
}
]
}

declinedIncomingPayment.created​

Occurs when a Declined Incoming Payment is created. This event has two shapes. In this shape the payment direction is known:

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
amountintegerThe payment amount (in cents).
directionstringThe payment direction, Debit or Credit.
reasonstringThe reason the payment was declined.
achReasonstringThe ACH reason for the decline.
paymentTypestringThe type of the declined payment.
Example declinedIncomingPayment.created payload:
{
"data": [
{
"id": "295",
"type": "declinedIncomingPayment.created",
"attributes": {
"createdAt": "2021-01-02T13:38:28.223Z",
"amount": 1000,
"direction": "Debit",
"reason": "NoAccount",
"achReason": "R03",
"paymentType": "AchPayment"
},
"relationships": {
"account": {
"data": {
"id": "10009",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
}
}
}
]
}

In this shape the payment direction could not be determined. The payload contains only reason and paymentType, and does not include amount, direction, or achReason.

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
reasonstringThe reason the payment was declined.
paymentTypestringThe type of the declined payment.
Example declinedIncomingPayment.created payload (direction unknown):
{
"data": [
{
"id": "295",
"type": "declinedIncomingPayment.created",
"attributes": {
"createdAt": "2021-01-02T13:38:28.223Z",
"reason": "NoAccount",
"paymentType": "AchPayment"
},
"relationships": {
"account": {
"data": {
"id": "10009",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
}
}
}
]
}

dispute.created​

Occurs when a Dispute is created.

Example dispute.created payload:
{
"data": [
{
"id": "680",
"type": "dispute.created",
"attributes": {
"createdAt": "2022-01-01T14:08:19.040Z",
"amount": 500,
"description": "Disputed card transaction",
"source": "DebitCard",
"status": "InvestigationStarted"
},
"relationships": {
"dispute": {
"data": {
"id": "47",
"type": "dispute"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
},
"transaction": {
"data": {
"id": "142",
"type": "transaction"
}
}
}
}
]
}

dispute.statusChanged​

Occurs when a Dispute status changes.

Example dispute.statusChanged payload:
{
"data": [
{
"id": "687",
"type": "dispute.statusChanged",
"attributes": {
"createdAt": "2022-01-01T10:22:31.816Z",
"previousStatus": "InvestigationStarted",
"newStatus": "ResolvedWon"
},
"relationships": {
"dispute": {
"data": {
"id": "47",
"type": "dispute"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
},
"transaction": {
"data": {
"id": "142",
"type": "transaction"
}
}
}
}
]
}

document.approved​

Occurs when an Application Document is approved.

Example document.approved payload:
{
"data": [
{
"id": "193",
"type": "document.approved",
"attributes": {
"createdAt": "2020-11-09T09:05:49.999Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"document": {
"data": {
"id": "6",
"type": "document"
}
},
"application": {
"data": {
"id": "10009",
"type": "individualApplication"
}
}
}
}
]
}

document.rejected​

Occurs when an Application Document is rejected.

Example document.rejected payload:
{
"data": [
{
"id": "190",
"type": "document.rejected",
"attributes": {
"reason": "blurry image",
"reasonCode": "PoorQuality",
"createdAt": "2020-11-08T18:34:38.533Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"document": {
"data": {
"id": "6",
"type": "document"
}
},
"application": {
"data": {
"id": "10009",
"type": "individualApplication"
}
}
}
}
]
}

payment.canceled​

payment.canceled or payment.Canceled. Occurs when a sent ACH Payment was canceled by the client / end-customer before being sent to the network.

RelationshipTypeDescription
paymentJSON:API RelationshipThe payment. Resource type: payment.
accountJSON:API RelationshipThe account the payment relates to. Resource type: account.
customerJSON:API RelationshipOptional. The customer the account belongs to. Resource type: customer.
recurringPaymentJSON:API RelationshipOptional. The recurring payment that created the payment. Resource type: recurringPayment.
Example payment.canceled payload:
{
"data": [
{
"id": "295",
"type": "payment.Canceled",
"attributes": {
"createdAt": "2021-01-02T13:38:28.223Z",
"direction": "Credit",
"amount": 2500,
"tags": {
"tag": "value"
}
},
"relationships": {
"payment": {
"data": {
"id": "10",
"type": "payment"
}
},
"account": {
"data": {
"id": "10009",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
},
"recurringPayment": {
"data": {
"id": "24",
"type": "recurringPayment"
}
}
}
}
]
}

payment.clearing​

Occurs when an originated Debit ACH Payment was delivered to the ACH network, but the account was not credited yet.

RelationshipTypeDescription
paymentJSON:API RelationshipThe payment. Resource type: payment.
accountJSON:API RelationshipThe account the payment relates to. Resource type: account.
customerJSON:API RelationshipOptional. The customer the account belongs to. Resource type: customer.
recurringPaymentJSON:API RelationshipOptional. The recurring payment that created the payment. Resource type: recurringPayment.
Example payment.clearing payload:
{
"data": [
{
"id": "290",
"type": "payment.clearing",
"attributes": {
"previousStatus": "Pending",
"createdAt": "2020-11-08T18:34:38.533Z",
"direction": "Credit",
"amount": 2500,
"available": 3000,
"reason": "InsufficientFunds",
"tags": {
"tag": "value"
}
},
"relationships": {
"payment": {
"data": {
"id": "6",
"type": "payment"
}
},
"account": {
"data": {
"id": "10009",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
},
"recurringPayment": {
"data": {
"id": "24",
"type": "recurringPayment"
}
}
}
}
]
}

payment.created​

Occurs when an ACH Payment, Book Payment or Wire Payment is successfully created with a specified status. This event does not fire for rejected payments, see payment.rejected instead.

RelationshipTypeDescription
paymentJSON:API RelationshipThe payment. Resource type: payment.
accountJSON:API RelationshipThe account the payment relates to. Resource type: account.
customerJSON:API RelationshipOptional. The customer the account belongs to. Resource type: customer.
recurringPaymentJSON:API RelationshipOptional. The recurring payment that created the payment. Resource type: recurringPayment.
Example payment.created payload:
{
"data": [
{
"id": "4132",
"type": "payment.created",
"attributes": {
"createdAt": "2021-12-27T12:12:39.133Z",
"status": "Pending",
"direction": "Credit",
"amount": 2500,
"tags": {
"tag": "value"
}
},
"relationships": {
"payment": {
"data": {
"id": "6",
"type": "payment"
}
},
"account": {
"data": {
"id": "10009",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
},
"recurringPayment": {
"data": {
"id": "24",
"type": "recurringPayment"
}
}
}
}
]
}

payment.pending​

Occurs when a Push To Card Payment moves to Pending status.

The event includes:

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
previousStatusstringThe payment status before the event.
amountintegerThe payment amount (in cents).
availableintegerThe available balance (in cents).
directionstringThe payment direction.
tagsobjectSee Tags.
RelationshipTypeDescription
paymentJSON:API RelationshipThe payment. Resource type: payment.
accountJSON:API RelationshipThe account the payment relates to. Resource type: account.
customerJSON:API RelationshipOptional. The customer the account belongs to. Resource type: customer.
Example payment.pending payload:
{
"data": [
{
"id": "296",
"type": "payment.pending",
"attributes": {
"createdAt": "2021-01-02T13:38:28.223Z",
"previousStatus": "New",
"direction": "Credit",
"amount": 2500,
"available": 3000,
"tags": {
"tag": "value"
}
},
"relationships": {
"payment": {
"data": {
"id": "10",
"type": "payment"
}
},
"account": {
"data": {
"id": "10009",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
}
}
}
]
}

payment.pendingReview​

Occurs when a sent ACH Payment is waiting to be manually reviewed, typically due to a high level of risk associated with that payment.

RelationshipTypeDescription
paymentJSON:API RelationshipThe payment. Resource type: payment.
accountJSON:API RelationshipThe account the payment relates to. Resource type: account.
customerJSON:API RelationshipOptional. The customer the account belongs to. Resource type: customer.
recurringPaymentJSON:API RelationshipOptional. The recurring payment that created the payment. Resource type: recurringPayment.
Example payment.pendingReview payload:
{
"data": [
{
"id": "295",
"type": "payment.pendingReview",
"attributes": {
"createdAt": "2021-01-02T13:38:28.223Z",
"direction": "Credit",
"amount": 2500,
"tags": {
"tag": "value"
}
},
"relationships": {
"payment": {
"data": {
"id": "10",
"type": "payment"
}
},
"account": {
"data": {
"id": "10009",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
},
"recurringPayment": {
"data": {
"id": "24",
"type": "recurringPayment"
}
}
}
}
]
}

payment.rejected​

Occurs when a payment gets rejected. This event should include a reason that will specify why the payment was rejected.

The event covers different types of payments like ACH Payment, Book Payment, Wire Payment and Push To Card Payment.

RelationshipTypeDescription
paymentJSON:API RelationshipThe payment. Resource type: payment.
accountJSON:API RelationshipThe account the payment relates to. Resource type: account.
customerJSON:API RelationshipOptional. The customer the account belongs to. Resource type: customer.
recurringPaymentJSON:API RelationshipOptional. The recurring payment that created the payment. Resource type: recurringPayment.
Example payment.rejected payload:
{
"data": [
{
"id": "291",
"type": "payment.rejected",
"attributes": {
"createdAt": "2021-12-08T18:34:38.533Z",
"reason": "InsufficientFunds",
"direction": "Credit",
"amount": 2500,
"tags": {
"tag": "value"
}
},
"relationships": {
"payment": {
"data": {
"id": "6",
"type": "payment"
}
},
"account": {
"data": {
"id": "10009",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
},
"recurringPayment": {
"data": {
"id": "24",
"type": "recurringPayment"
}
}
}
}
]
}

payment.returned​

Occurs when a sent ACH Payment was returned by the ACH network or the receiving bank for a specified reason. This also occurs when a sent Wire Payment was returned.

The event includes:

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
previousStatusstringThe payment status before the event.
reasonstringOptional. For ACH returns, the ACH return code (R-code), for example R03. Not sent for wire returns.
returnReasonstringOptional. For ACH returns, the named return reason, for example NoAccount. Not sent for wire returns.
RelationshipTypeDescription
paymentJSON:API RelationshipThe payment. Resource type: payment.
accountJSON:API RelationshipThe account the payment relates to. Resource type: account.
customerJSON:API RelationshipOptional. The customer the account belongs to. Resource type: customer.
recurringPaymentJSON:API RelationshipOptional. The recurring payment that created the payment. Resource type: recurringPayment.
Example payment.returned payload:
{
"data": [
{
"id": "295",
"type": "payment.returned",
"attributes": {
"previousStatus": "Sent",
"reason": "R03",
"returnReason": "NoAccount",
"createdAt": "2021-01-02T13:38:28.223Z",
"direction": "Credit",
"amount": 2500,
"available": 3000,
"tags": {
"tag": "value"
}
},
"relationships": {
"payment": {
"data": {
"id": "10",
"type": "payment"
}
},
"account": {
"data": {
"id": "10009",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
},
"recurringPayment": {
"data": {
"id": "24",
"type": "recurringPayment"
}
}
}
}
]
}

payment.sent​

Occurs when a payment was created and processed successfully.

The event covers different types of payments like ACH Payment, Wire Payment, and Push To Card Payment.

RelationshipTypeDescription
paymentJSON:API RelationshipThe payment. Resource type: payment.
accountJSON:API RelationshipThe account the payment relates to. Resource type: account.
customerJSON:API RelationshipOptional. The customer the account belongs to. Resource type: customer.
recurringPaymentJSON:API RelationshipOptional. The recurring payment that created the payment. Resource type: recurringPayment.
Example payment.sent payload:
{
"data": [
{
"id": "291",
"type": "payment.sent",
"attributes": {
"previousStatus": "Pending",
"direction": "Credit",
"amount": 2500,
"available": 500,
"createdAt": "2020-11-08T18:34:38.533Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"payment": {
"data": {
"id": "8",
"type": "payment"
}
},
"account": {
"data": {
"id": "10009",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
},
"recurringPayment": {
"data": {
"id": "24",
"type": "recurringPayment"
}
}
}
}
]
}

receivablesEndOfDay.completed​

Occurs when the daily receivables end-of-day processing of all credit accounts completed for a business date. The event is bank-level and carries only the business date and bank name.

Example receivablesEndOfDay.completed payload:
{
"data": [
{
"id": "241",
"type": "receivablesEndOfDay.completed",
"attributes": {
"createdAt": "2026-11-02T00:16:28.911Z",
"businessDate": "2026-11-01",
"bankName": "myBankName"
},
"relationships": {
"org": {
"data": {
"id": "1",
"type": "org"
}
}
}
}
]
}

receivedPayment.completed​

Occurs when a Received Payment (ACH) or Wire Received Payment is completed.

Example receivedPayment.completed payload (ACH):
{
"data": [
{
"id": "411",
"type": "receivedPayment.completed",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "Advanced",
"wasAdvanced": true,
"tags": {
"tag": "value"
}
},
"relationships": {
"receivedPayment": {
"data": {
"id": "1337",
"type": "receivedPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}
Example receivedPayment.completed payload (Wire):
{
"data": [
{
"id": "1338",
"type": "receivedPayment.completed",
"attributes": {
"createdAt": "2022-02-01T12:03:14.406Z",
"previousStatus": "Pending",
"tags": {
"tag": "value"
}
},
"relationships": {
"receivedPayment": {
"data": {
"id": "1338",
"type": "wireReceivedPayment"
}
},
"account": {
"data": {
"id": "163555",
"type": "account"
}
},
"customer": {
"data": {
"id": "129522",
"type": "customer"
}
}
}
}
]
}

receivedPayment.created​

Occurs when a Received Payment (ACH) or Wire Received Payment is created.

Example receivedPayment.created payload (ACH):
{
"data": [
{
"id": "1337",
"type": "receivedPayment.created",
"attributes": {
"createdAt": "2021-06-06T09:09:15.247Z",
"status": "Pending",
"type": "Ach",
"amount": 500000,
"direction": "Credit",
"completionDate": "2020-07-30",
"companyName": "UBER LTD",
"counterpartyRoutingNumber": "051402372",
"description": "paycheck",
"traceNumber": "123456789123456",
"secCode": "PPD",
"returnCutoffTime": "2024-08-27T18:00:00.000Z",
"canBeReprocessed": "false",
"addenda": "",
"tags": {
"tag": "value"
}
},
"relationships": {
"receivedPayment": {
"data": {
"id": "122",
"type": "receivedPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}
Example receivedPayment.created payload (Wire):
{
"data": [
{
"id": "1338",
"type": "receivedPayment.created",
"attributes": {
"createdAt": "2022-02-01T12:03:14.406Z",
"status": "Pending",
"type": "Wire",
"amount": 100000,
"direction": "Credit",
"description": "Wire payment from customer",
"counterparty": {
"name": "John Doe",
"routingNumber": "812345678",
"accountNumber": "10039",
"accountType": "Checking"
},
"tags": {
"tag": "value"
}
},
"relationships": {
"receivedPayment": {
"data": {
"id": "1338",
"type": "wireReceivedPayment"
}
},
"account": {
"data": {
"id": "163555",
"type": "account"
}
},
"customer": {
"data": {
"id": "129522",
"type": "customer"
}
}
}
}
]
}

receivedPayment.advanced​

Occurs when a Received Payment (ACH) is advanced. Note: This event only applies to ACH received payments, as wire received payments do not support advances.

Example receivedPayment.advanced payload:
{
"data": [
{
"id": "411",
"type": "receivedPayment.advanced",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "Pending",
"wasAdvanced": true,
"isAdvanceable": false,
"tags": {
"tag": "value"
}
},
"relationships": {
"receivedPayment": {
"data": {
"id": "1337",
"type": "receivedPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

receivedPayment.pendingReview​

Occurs when a Received Payment (ACH) or Wire Received Payment is pending review.

Example receivedPayment.pendingReview payload (ACH):
{
"data": [
{
"id": "1337",
"type": "receivedPayment.pendingReview",
"attributes": {
"createdAt": "2021-06-06T09:09:15.247Z",
"status": "PendingReview",
"type": "Ach",
"amount": 500000,
"completionDate": "2020-07-30",
"companyName": "UBER LTD",
"counterpartyRoutingNumber": "051402372",
"description": "paycheck",
"traceNumber": "123456789123456",
"secCode": "PPD",
"addenda": "",
"tags": {
"tag": "value"
}
},
"relationships": {
"receivedPayment": {
"data": {
"id": "122",
"type": "receivedPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}
Example receivedPayment.pendingReview payload (Wire):
{
"data": [
{
"id": "1338",
"type": "receivedPayment.pendingReview",
"attributes": {
"createdAt": "2022-02-01T12:03:14.406Z",
"status": "PendingReview",
"type": "Wire",
"amount": 100000,
"direction": "Credit",
"description": "Wire payment from customer",
"counterparty": {
"name": "John Doe",
"routingNumber": "812345678",
"accountNumber": "10039",
"accountType": "Checking"
},
"tags": {
"tag": "value"
}
},
"relationships": {
"receivedPayment": {
"data": {
"id": "1338",
"type": "wireReceivedPayment"
}
},
"account": {
"data": {
"id": "163555",
"type": "account"
}
},
"customer": {
"data": {
"id": "129522",
"type": "customer"
}
}
}
}
]
}

receivedPayment.pending​

Occurs when an ACH Received Payment moves to Pending because its settlement date is in the future (for example, after a payment in review is approved). Note: This event only applies to ACH received payments. isAdvanceable is true only for credit payments.

Example receivedPayment.pending payload:
{
"data": [
{
"id": "1337",
"type": "receivedPayment.pending",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "PendingReview",
"wasAdvanced": false,
"isAdvanceable": true,
"tags": {
"tag": "value"
}
},
"relationships": {
"receivedPayment": {
"data": {
"id": "122",
"type": "receivedPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

receivedPayment.markedForReturn​

Occurs when a Received Payment (ACH) or Wire Received Payment is marked for return.

Example receivedPayment.markedForReturn payload (ACH):
{
"data": [
{
"id": "1337",
"type": "receivedPayment.markedForReturn",
"attributes": {
"createdAt": "2021-06-06T09:09:15.247Z",
"status": "MarkedForReturn",
"type": "Ach",
"amount": 500000,
"completionDate": "2020-07-30",
"companyName": "UBER LTD",
"counterpartyRoutingNumber": "051402372",
"description": "paycheck",
"traceNumber": "123456789123456",
"secCode": "PPD",
"returnCutoffTime": "2024-08-27T18:00:00.000Z",
"canBeReprocessed": "true",
"addenda": "",
"tags": {
"tag": "value"
}
},
"relationships": {
"receivedPayment": {
"data": {
"id": "122",
"type": "receivedPayment"
}
},
"stopPayment": {
"data": {
"id": "1674",
"type": "achStopPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}
Example receivedPayment.markedForReturn payload (Wire):
{
"data": [
{
"id": "1338",
"type": "receivedPayment.markedForReturn",
"attributes": {
"createdAt": "2022-02-01T12:03:14.406Z",
"status": "MarkedForReturn",
"type": "Wire",
"amount": 100000,
"direction": "Credit",
"description": "Wire payment from customer",
"counterparty": {
"name": "John Doe",
"routingNumber": "812345678",
"accountNumber": "10039",
"accountType": "Checking"
},
"tags": {
"tag": "value"
}
},
"relationships": {
"receivedPayment": {
"data": {
"id": "1338",
"type": "wireReceivedPayment"
}
},
"account": {
"data": {
"id": "163555",
"type": "account"
}
},
"customer": {
"data": {
"id": "129522",
"type": "customer"
}
}
}
}
]
}

receivedPayment.returned​

Occurs when a Received Payment (ACH) or Wire Received Payment is returned.

Example receivedPayment.returned payload (ACH):
{
"data": [
{
"id": "411",
"type": "receivedPayment.returned",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"previousStatus": "Pending",
"wasAdvanced": true,
"tags": {
"tag": "value"
}
},
"relationships": {
"receivedPayment": {
"data": {
"id": "1337",
"type": "receivedPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}
Example receivedPayment.returned payload (Wire):
{
"data": [
{
"id": "1338",
"type": "receivedPayment.returned",
"attributes": {
"createdAt": "2022-02-01T12:03:14.406Z",
"previousStatus": "Pending",
"tags": {
"tag": "value"
}
},
"relationships": {
"receivedPayment": {
"data": {
"id": "1338",
"type": "wireReceivedPayment"
}
},
"account": {
"data": {
"id": "163555",
"type": "account"
}
},
"customer": {
"data": {
"id": "129522",
"type": "customer"
}
}
}
}
]
}

recurringPayment.created​

Occurs when a recurring payment is created.

Example recurringPayment.created payload:
{
"data": [
{
"id": "360",
"type": "recurringPayment.created",
"attributes": {
"createdAt": "2022-06-25T14:27:41.093Z",
"status": "Active",
"amount": 200,
"tags": {
"test": "test"
},
"nextScheduledAction": "2022-07-05"
},
"relationships": {
"recurringPayment": {
"data": {
"id": "4",
"type": "recurringPayment"
}
},
"account": {
"data": {
"id": "10002",
"type": "account"
}
},
"customer": {
"data": {
"id": "10004",
"type": "customer"
}
}
}
}
]
}

recurringPayment.failed​

Occurs when a payment creation from a recurring payment has failed.

RelationshipTypeDescription
recurringPaymentJSON:API RelationshipThe recurring payment. Resource type: recurringPayment.
accountJSON:API RelationshipThe account of the recurring payment. Resource type: account.
customerJSON:API RelationshipThe customer the account belongs to. Resource type: customer.
paymentJSON:API RelationshipOptional. The related payment. Resource type: payment.
Example recurringPayment.failed payload:
{
"data": [
{
"id": "100",
"type": "recurringPayment.failed",
"attributes": {
"createdAt": "2022-06-11T11:40:58.708Z",
"amount": 200,
"tags": {},
"error": "{\"title\":\"User is not allowed to create a payment\",\"status\":\"403\"}"
},
"relationships": {
"recurringPayment": {
"data": {
"id": "24",
"type": "recurringPayment"
}
},
"account": {
"data": {
"id": "10002",
"type": "account"
}
},
"customer": {
"data": {
"id": "10004",
"type": "customer"
}
},
"payment": {
"data": {
"id": "22",
"type": "payment"
}
}
}
}
]
}

recurringPayment.statusChanged​

Occurs when a recurring payment status has been changed. See Recurring Payment Statuses.

The event includes:

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
previousStatusstringThe recurring payment status before the change.
statusstringThe recurring payment status after the change.
amountintegerThe payment amount (in cents).
numberOfPaymentsintegerThe number of payments.
nextScheduledActiondate (YYYY-MM-DD)Optional. The next scheduled date of the recurring payment.
tagsobjectSee Tags.
Example recurringPayment.statusChanged payload:
{
"data": [
{
"id": "359",
"type": "recurringPayment.statusChanged",
"attributes": {
"createdAt": "2022-06-25T14:23:26.785Z",
"previousStatus": "Completed",
"status": "Active",
"amount": 200,
"numberOfPayments": 2,
"nextScheduledAction": "2022-07-25",
"tags": {}
},
"relationships": {
"recurringPayment": {
"data": {
"id": "2",
"type": "recurringPayment"
}
},
"account": {
"data": {
"id": "10002",
"type": "account"
}
},
"customer": {
"data": {
"id": "10004",
"type": "customer"
}
}
}
}
]
}

recurringRepayment.created​

Occurs when a recurring repayment is created.

Example recurringRepayment.created payload:
{
"data": [
{
"id": "360",
"type": "recurringRepayment.created",
"attributes": {
"createdAt": "2022-06-25T14:27:41.093Z",
"status": "Active",
"tags": {
"test": "test"
},
"nextScheduledAction": "2022-07-05"
},
"relationships": {
"recurringRepayment": {
"data": {
"id": "4",
"type": "recurringRepayment"
}
},
"creditAccount": {
"data": {
"id": "10002",
"type": "account"
}
},
"customer": {
"data": {
"id": "10004",
"type": "customer"
}
}
}
}
]
}

recurringRepayment.failed​

Occurs when a repayment creation from a recurring repayment has failed.

Example recurringRepayment.failed payload:
{
"data": [
{
"id": "360",
"type": "recurringRepayment.failed",
"attributes": {
"createdAt": "2022-06-25T14:27:41.093Z",
"tags": {
"test": "test"
},
"error": "{\"title\":\"User is not allowed to create a repayment\",\"status\":\"403\"}"
},
"relationships": {
"recurringRepayment": {
"data": {
"id": "4",
"type": "recurringRepayment"
}
},
"creditAccount": {
"data": {
"id": "10002",
"type": "account"
}
},
"customer": {
"data": {
"id": "10004",
"type": "customer"
}
}
}
}
]
}

recurringRepayment.skipped​

Occurs when a repayment creation from a recurring repayment is skipped due to repayment amount being 0.

Example recurringRepayment.skipped payload:
{
"data": [
{
"id": "360",
"type": "recurringRepayment.skipped",
"attributes": {
"createdAt": "2022-06-25T14:27:41.093Z",
"amount": 0,
"tags": {
"test": "test"
},
"reason": "Repayment not created due to repayment amount being 0"
},
"relationships": {
"recurringRepayment": {
"data": {
"id": "4",
"type": "recurringRepayment"
}
},
"creditAccount": {
"data": {
"id": "10002",
"type": "account"
}
},
"customer": {
"data": {
"id": "10004",
"type": "customer"
}
}
}
}
]
}

recurringRepayment.statusChanged​

Occurs when a recurring payment status has been changed. See Recurring Repayment Statuses.

Example recurringRepayment.statusChanged payload:
{
"data": [
{
"id": "360",
"type": "recurringRepayment.statusChanged",
"attributes": {
"createdAt": "2022-06-25T14:27:41.093Z",
"previousStatus": "Disabled",
"status": "Active",
"tags": {
"test": "test"
},
"nextScheduledAction": "2022-09-05"
},
"relationships": {
"recurringRepayment": {
"data": {
"id": "4",
"type": "recurringRepayment"
}
},
"creditAccount": {
"data": {
"id": "10002",
"type": "account"
}
},
"customer": {
"data": {
"id": "10004",
"type": "customer"
}
}
}
}
]
}

repayment.created​

Occurs when a AchRepayment or BookRepayment is successfully created.

The event includes:

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
amountintegerThe repayment amount (in cents).
statusstringThe repayment status.
tagsobjectSee Tags.
RelationshipTypeDescription
repaymentJSON:API RelationshipThe repayment. Resource type: repayment.
customerJSON:API RelationshipThe customer. Resource type: customer.
accountJSON:API RelationshipOptional. The account of the repayment. Resource type: account.
paymentJSON:API RelationshipOptional. The payment created for the repayment. Resource type: payment.
recurringRepaymentJSON:API RelationshipOptional. The recurring repayment that created the repayment. Resource type: recurringRepayment.
Example repayment.created payload:
{
"data": {
"id": "219",
"type": "repayment.created",
"attributes": {
"createdAt": "2022-11-27T18:54:03.042Z",
"amount": 1550,
"tags": {},
"status": "Pending"
},
"relationships": {
"repayment": {
"data": {
"id": "9",
"type": "repayment"
}
},
"payment": {
"data": {
"id": "22",
"type": "payment"
}
},
"account": {
"data": {
"id": "10006",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
},
"recurringRepayment": {
"data": {
"id": "3",
"type": "recurringRepayment"
}
}
}
}
}

repayment.statusChanged​

Occurs when a AchRepayment or BookRepayment status changes.

The event includes:

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
newStatusstringThe repayment status after the change.
previousStatusstringThe repayment status before the change.
amountintegerThe repayment amount (in cents).
tagsobjectSee Tags.
RelationshipTypeDescription
repaymentJSON:API RelationshipThe repayment. Resource type: repayment.
customerJSON:API RelationshipThe customer. Resource type: customer.
accountJSON:API RelationshipOptional. The account of the repayment. Resource type: account.
paymentJSON:API RelationshipOptional. The payment created for the repayment. Resource type: payment.
recurringRepaymentJSON:API RelationshipOptional. The recurring repayment that created the repayment. Resource type: recurringRepayment.
Example repayment.statusChanged payload:
{
"data": {
"id": "224",
"type": "repayment.statusChanged",
"attributes": {
"createdAt": "2022-11-27T18:55:39.945Z",
"newStatus": "Sent",
"previousStatus": "Pending",
"amount": 1550,
"tags": {}
},
"relationships": {
"repayment": {
"data": {
"id": "9",
"type": "repayment"
}
},
"payment": {
"data": {
"id": "22",
"type": "payment"
}
},
"account": {
"data": {
"id": "10006",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
},
"recurringRepayment": {
"data": {
"id": "3",
"type": "recurringRepayment"
}
}
}
}
}

reward.rejected​

Occurs when a Reward creation request is rejected (typically due to account status or availability of funds).

Example reward.rejected payload:
{
"data": [
{
"id": "8246",
"type": "reward.rejected",
"attributes": {
"createdAt": "2021-04-02T12:14:39.133Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"reward": {
"data": {
"id": "42",
"type": "reward"
}
},
"fundingAccount": {
"data": {
"id": "10009",
"type": "account"
}
},
"receivingAccount": {
"data": {
"id": "10009",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
}
}
}
]
}

reward.sent​

Occurs when a Reward is successfully sent to an end customer.

Example reward.sent payload:
{
"data": [
{
"id": "9173",
"type": "reward.sent",
"attributes": {
"createdAt": "2021-04-02T12:12:39.133Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"reward": {
"data": {
"id": "42",
"type": "reward"
}
},
"fundingAccount": {
"data": {
"id": "10009",
"type": "account"
}
},
"receivingAccount": {
"data": {
"id": "10009",
"type": "account"
}
},
"customer": {
"data": {
"id": "10002",
"type": "customer"
}
}
}
}
]
}

statement.created​

Occurs when custom cycle statements were created for the previous cycle.

Example statement.created payload:
{
"data": [
{
"id": "241",
"type": "statement.created",
"attributes": {
"createdAt": "2021-03-01T00:16:28.911Z",
"startPeriod": "2021-02-02",
"endPeriod": "2021-02-28"
},
"relationships": {
"statement": {
"data": {
"id": "8762",
"type": "statement"
}
},
"account": {
"data": {
"id": "1000",
"type": "account"
}
}
}
}
]
}

statements.created​

Occurs when all Statements were created for the previous month.

Example statements.created payload:
{
"data": [
{
"id": "241",
"type": "statements.created",
"attributes": {
"createdAt": "2021-03-01T00:16:28.911Z",
"period": "2021-02",
"bankName": "myBankName"
}
}
]
}

stopPayment.created​

Occurs when a Stop Payment is created.

Example stopPayment.created payload:
{
"data": [
{
"id": "382",
"type": "stopPayment.created",
"attributes": {
"createdAt": "2021-06-06T09:09:15.247Z"
},
"relationships": {
"stopPayment": {
"data": {
"id": "122",
"type": "checkStopPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

stopPayment.disabled​

Occurs when a Stop Payment is disabled.

Example stopPayment.disabled payload:
{
"data": [
{
"id": "376",
"type": "stopPayment.disabled",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"status": "Disabled",
"reason": "Expired",
"previousStatus": "Active"
},
"relationships": {
"stopPayment": {
"data": {
"id": "122",
"type": "checkStopPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

stopPayment.paymentStopped​

Occurs when a Stop Payment has stopped an incoming payment.

Example stopPayment.paymentStopped payload:
{
"data": [
{
"id": "376",
"type": "stopPayment.paymentStopped",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"stoppedPaymentType": "checkPayment"
},
"relationships": {
"stopPayment": {
"data": {
"id": "122",
"type": "checkStopPayment"
}
},
"stoppedPayment": {
"data": {
"id": "1243",
"type": "checkPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

stopPayment.updated​

Occurs when a Stop Payment expiration date is updated`.

Example stopPayment.updated payload:
{
"data": [
{
"id": "376",
"type": "stopPayment.updated",
"attributes": {
"createdAt": "2021-06-06T07:21:39.509Z",
"expiration": "2025-06-06"
},
"relationships": {
"stopPayment": {
"data": {
"id": "122",
"type": "achStopPayment"
}
},
"account": {
"data": {
"id": "10001",
"type": "account"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

taxForm.created​

Occurs when a Tax Form is created successfully.

Example taxForm.created payload:
{
"data": [
{
"id": "1",
"type": "taxForm.created",
"attributes": {
"createdAt": "2021-11-29T17:23:08.778Z",
"taxYear": "2023",
"formType": "1099-INT",
"revision": 0
},
"relationships": {
"taxForm": {
"data": {
"id": "18",
"type": "taxForm"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

taxForm.updated​

Occurs when an updated Tax Form is available.

Example taxForm.created payload:
{
"data": [
{
"id": "1",
"type": "taxForm.updated",
"attributes": {
"createdAt": "2021-11-29T17:23:08.778Z",
"taxYear": "2023",
"formType": "1099-INT",
"revision": 1
},
"relationships": {
"taxForm": {
"data": {
"id": "18",
"type": "taxForm"
}
},
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

transaction.created​

Occurs when a Transaction is created. For purchase, ATM, and card transactions, the optional cardDecisionSource attribute indicates who made the final card authorization decision. See Understanding authorization decisions. The Managed Solutions webhook payload does not include cardDecisionSource.

Example transaction.created payload:
{
"data": [
{
"id": "34",
"type": "transaction.created",
"attributes": {
"summary": "Funding",
"direction": "Debit",
"amount": 2500,
"available": 3000,
"balance": 689305,
"createdAt": "2020-07-30T09:17:21.593Z",
"tags": {
"tag": "value"
}
},
"relationships": {
"transaction": {
"data": {
"type": "receivedAchTransaction",
"id": "10001"
}
},
"account": {
"data": {
"id": "1000",
"type": "account"
}
},
"customer": {
"data": {
"id": "1",
"type": "customer"
}
},
"payment": {
"data": {
"id": "515",
"type": "payment"
}
}
}
}
]
}

transaction.updated​

Occurs when a PurchaseTransaction, AtmTransaction, or CardTransaction is updated with the interchange amount, calculated at the end of each day. This event has two variants. In the interchange variant the payload includes:

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
interchangenumberThe interchange amount.
grossInterchangenumberThe gross interchange amount.
availableintegerThe available balance (in cents).
RelationshipTypeDescription
accountJSON:API RelationshipThe account of the transaction. Resource type: account.
transactionJSON:API RelationshipThe updated transaction, for example purchase, atm, or card.
Example transaction.updated payload (interchange):
{
"data": [
{
"id": "33266",
"type": "transaction.updated",
"attributes": {
"createdAt": "2020-07-30T09:17:21.593Z",
"interchange": 2.4363,
"grossInterchange": 2.9245,
"available": 2000
},
"relationships": {
"account": {
"data": {
"id": "10023",
"type": "account"
}
},
"transaction": {
"data": {
"type": "purchase",
"id": "45123"
}
}
}
}
]
}

In the enrichment variant the payload carries no attributes beyond the standard createdAt. It does not include interchange, grossInterchange, or available.

AttributeTypeDescription
createdAtRFC3339 Date stringThe date the event was created.
RelationshipTypeDescription
accountJSON:API RelationshipThe account of the transaction. Resource type: account.
transactionJSON:API RelationshipThe updated transaction, for example purchase, atm, or card.
Example transaction.updated payload (enrichment):
{
"data": [
{
"id": "33266",
"type": "transaction.updated",
"attributes": {
"createdAt": "2020-07-30T09:17:21.593Z"
},
"relationships": {
"account": {
"data": {
"id": "10023",
"type": "account"
}
},
"transaction": {
"data": {
"type": "purchase",
"id": "45123"
}
}
}
}
]
}

wireDrawdown.created​

Occurs when a Wire Drawdown is created.

Example wireDrawdown.created payload:
{
"data": {
"id": "260",
"type": "wireDrawdown.created",
"attributes": {
"createdAt": "2024-10-29T21:35:58.898Z",
"amount": 97,
"direction": "Incoming",
"counterparty": {
"name": "LAB LLC",
"routingNumber": "021000021",
"accountNumber": "1000000000"
}
},
"relationships": {
"wireDrawdown": {
"data": {
"id": "10000",
"type": "wireDrawdown"
}
},
"customer": {
"data": {
"id": "10001",
"type": "customer"
}
},
"account": {
"data": {
"id": "10000",
"type": "account"
}
}
}
}
}

whiteLabelAppUser.created​

Occurs when a new user is created in the White-Label App. The userId refers to the user ID in your system.

AttributeTypeDescription
userIdstringThe user ID in your system.
userRolestringThe role assigned to the user.
createdAtstringThe date and time the user was created.
initiatorUserIdstringOptional. The user ID of the user who initiated this action.
Example whiteLabelAppUser.created payload:
{
"data": [
{
"id": "324",
"type": "whiteLabelAppUser.created",
"attributes": {
"userId": "user_67890",
"userRole": "ReadOnly",
"createdAt": "2025-12-14T21:15:30.123Z",
"initiatorUserId": "user_12345"
},
"relationships": {
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}

whiteLabelAppUser.disabled​

Occurs when a user is disabled in the White-Label App. The userId refers to the user ID in your system.

AttributeTypeDescription
userIdstringThe user ID in your system.
userRolestringThe role of the user at the time of disabling.
createdAtstringThe date and time the user was disabled.
initiatorUserIdstringOptional. The user ID of the user who initiated this action.
Example whiteLabelAppUser.disabled payload:
{
"data": [
{
"id": "325",
"type": "whiteLabelAppUser.disabled",
"attributes": {
"userId": "user_67890",
"userRole": "Admin",
"createdAt": "2025-12-14T21:22:45.456Z",
"initiatorUserId": "user_12345"
},
"relationships": {
"customer": {
"data": {
"id": "10000",
"type": "customer"
}
}
}
}
]
}